import Taro from '@tarojs/taro';
import { View, Text, Swiper, SwiperItem, Image } from '@tarojs/components';
import noticeIcon from '@/assets/notice.png'

import './style.less'

export default (props) => {
  const { NoticeList, onMoreClick, onClick } = props;

  return (
    <View className='Notice-box'>
      <View className='weui-flex notice-item-row'>
        <View className='weui-flex__item notice-item-title'>
          <Image src={noticeIcon} mode='widthFix' />
          <Text>消息通知</Text>
        </View>
        <View className='weui-flex__item notice-item-ft' onClick={onMoreClick}>
          查看更多 &gt;
        </View>
      </View>
      {
        NoticeList.map((item, index) => {
          return (
            <View className='weui-flex notice-item-row' onClick={() => { onClick(item.noticeId) }} key={index}>
              <View className='weui-flex__item notice-item-bd'>{item.title}</View>
              <View className='weui-flex__item notice-item-ft'>{item.createDate.slice(0, 10)}</View>
            </View>

          )
        })
      }

    </View>
  )
}




