import { View, Button, Text, RadioGroup, Picker, Image, Input, Radio, Label, ScrollView } from '@tarojs/components'
import Taro, { useDidShow } from '@tarojs/taro';
import { useState, useEffect } from 'react';
import Form from '@/components/Form';

import { addDogList, addlication, getDogCardList, getDogInfo } from '../../services/dogAPI';
import { useModel } from '../../store';

import './style.less'

export default (props) => {
  const { dogs, person, setDogs } = useModel('userData')
  const [formData, setFormData] = useState()

  const [dogDate, setDogDate] = useState({ petBirthday: '请选择生日', petSex: [], petType: [] })
  const [imgUrl, setImgUrl] = useState({ img1: null, immunization: null })
  const [showDialog, setShowDialog] = useState(false)
  const [mainDog, setMainDog] = useState([])
  useDidShow(() => {
    if (dogs.length == 0 || person.phone == null) {
      console.log('不可以', dogs);
      setShowDialog(true)

    } else {

      addDogList().then((res) => {
        setMainDog(res.records)
      })
    }

  }, [dogs, person])

  const getMainDogChange = (value) => {
    console.log("🚀 ~ file: index.jsx ~ line 34 ~ getMainDogChange ~ value", value)
    const { petId } = value.detail.data

    getDogInfo(petId).then((e) => {
      setFormData(e)
      const sex = [{ value: e?.sex, text: e?.sex == 1 ? '雄' : '雌' }];
      const petType = [{ value: 0, name: e?.petType }];

      setDogDate({ petBirthday: e?.birthday, petSex: sex, petType: petType })
      setImgUrl({ ...imgUrl, img1: e.image })
      console.log('test', e);

    })
  }



  const onDateChange = (type, value) => {
    console.log('dogDate', dogDate);

    switch (type) {
      case 'petSex':
        setDogDate({ ...dogDate, petSex: value })
        break;
      case 'petBirthday':
        setDogDate({ ...dogDate, petBirthday: value })
        break;
      case 'petType':
        setDogDate({ ...dogDate, petType: value })//value 01  text 文字
        break;
      default:
        break;
    }
  }
  const handleDialog = () => {
    console.log('handleDialog',);
    if (dogs.length == 0 && person.phone == null) {
      //如果 人 狗都没有维护，那么先维护人的。回到这个页面后，必定只有狗没维护 跳 狗

      Taro.navigateTo({
        url: '/pages/setUser/index'
      })
      setShowDialog(false)

    } else {
      Taro.navigateTo({
        url: '/pages/setDogInfo/index'
      })
      setShowDialog(false)

    }
  }

  const buttons = [{ text: '确定' }]
  // const dogSex = [
  //   {
  //     value: 1,
  //     text: '雄',
  //   },
  //   {
  //     value: 2,
  //     text: '雌',
  //   },

  // ]

  const modeList = [
    {
      value: 1,
      text: '邮寄',
    },
    {
      value: 2,
      text: '自取',
    },

  ]

  const addImage = (e) => {
    console.log("🚀 ~ file: index.jsx ~ line 94 ~ addImage ~ e", e)

    if (e == 'img1') {
      Taro.chooseImage({
        count: 1, // 默认9
        sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
        sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有，在H5浏览器端支持使用 `user` 和 `environment`分别指定为前后摄像头
        success: function (res) {
          // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
          var tempFilePaths = res.tempFilePaths
          setImgUrl({ ...imgUrl, img1: tempFilePaths[0] })
        },
        fail () {
          Taro.showToast({
            title: '上传失败请重试',
            icon: 'error',
            duration: 1000
          })
        }
      })

    } else {
      Taro.chooseImage({
        count: 1, // 默认9
        sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
        sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有，在H5浏览器端支持使用 `user` 和 `environment`分别指定为前后摄像头
        success: function (res) {
          // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
          var tempFilePaths = res.tempFilePaths
          setImgUrl({ ...imgUrl, immunization: tempFilePaths[0] })
        },
        fail () {
          Taro.showToast({
            title: '上传失败请重试',
            icon: 'error',
            duration: 1000
          })
        }
      })
    }

    console.log("🚀 ~ file: index.jsx ~ line 61 ~ addImage ~ tempFilePaths", imgUrl)


  }
  // ...dogDate,
  const formSubmit = value => {
    addlication({ ...value, ...imgUrl, applyType: 'first' }).then((res) => {
      console.log('dogInfo xinwe', res);
      Taro.showToast({
        title: '保存成功',
        icon: 'none',
        duration: 1000
      })
      setTimeout(() => {
        Taro.navigateBack({
          delta: 1
        })
      }, 600);
    })
  }



  return (
    <ScrollView scrollY style={{ height: '100vh' }} >
      <mp-dialog show={showDialog} title='提示' maskClosable={false} buttons={buttons} onButtonTap={handleDialog} >
        <View>
          请先添加本人信息或狗狗信息
        </View>
      </mp-dialog>
      <View class='page' >
        <Form onSubmit={formSubmit} >
          <mp-form  >
            <mp-cells title=''>
              <mp-cell title='狗狗名称' extClass=''>
                {/* <Input name='petName' placeholder='请输入狗狗名称' /> */}
                <s-picker name='petName' rangeKey='name' rangeValue='value' range={mainDog} value={formData?.name} onChange={getMainDogChange} />
                <View onClick={onDateChange}>asdasdsad</View>
                {/* <Picker name='petSex' mode='selector' range={selector} onChange={(e) => { onDateChange('petSex', e.detail.value) }}>
                  <View className='picker'>
                    {dogDate.petSex}
                  </View>
                </Picker> */}
              </mp-cell>
              <mp-cell title='狗狗性别' extClass=''>
                <s-picker name='petSex' rangeKey='text' rangeValue='value' range={dogDate.petSex} value={dogDate?.petSex[0]?.text} />

                {/* <Picker name='petSex' mode='selector' range={dogSex} onChange={(e) => { onDateChange('petSex', e.detail.value) }}>
                  <View className='picker'>
                    {dogDate.petSex}
                  </View>
                </Picker> */}
              </mp-cell>
              <mp-cell title='犬种' extClass=''>
                <s-picker name='petType' rangeKey='name' rangeValue='value' range={dogDate.petType} value={dogDate?.petType[0]?.name} />

                {/* <Picker name='petType' mode='selector' range={dogType} rangeKey='text' onChange={(e) => { onDateChange('petType', e.detail.value) }}>
                  <View className='picker'>
                    {dogDate.petType}
                  </View>
                </Picker> */}
              </mp-cell>
              <mp-cell title='生日' extClass=''>
                <Picker name='petBirthday' mode='date' onChange={(e) => { onDateChange('petBirthday', e.detail.value) }}>
                  <View className='picker' style={!formData ? { "color": '#858585' } : {}}>
                    {dogDate.petBirthday}
                  </View>
                </Picker>
              </mp-cell>
              <mp-cell title='毛色' extClass=''>
                <Input name='petColor' placeholder='请输入毛色' value={formData?.color} />
              </mp-cell>
              <mp-cell title='狗狗照片' extClass=''>
                {
                  !imgUrl.img1 ?
                    <View className='addImage' onClick={() => addImage('img1')} >
                      <Text>+</Text>
                    </View>
                    :
                    <Image className='dogImg1' name='img1' src={imgUrl.img1} onClick={() => addImage('img1')} />
                }

              </mp-cell>
              <mp-cell title='免疫证明' extClass=''>
                {
                  !imgUrl.immunization ?
                    <View className='addImage' onClick={() => addImage('immunization')} >
                      <Text>+</Text>
                    </View>
                    :
                    <Image className='dogImg1' name='immunization' src={imgUrl.immunization} onClick={() => addImage('immunization')} />
                }
                {/* <Input name='immunization' placeholder='请输入身份证号' type='idcard' /> */}
              </mp-cell>
              <mp-cell title='详细地址' extClass=''>
                <Input name='address' placeholder='请输入详细地址' />
              </mp-cell>
              <mp-cell title='申领方式' extClass=''>
                <View className='radio-list'>
                  <RadioGroup name='applyMethod'>
                    {modeList.map((item, i) => {
                      return (
                        <Label className='radio-list__label' for={i} key={i}>
                          <Radio color='#FCD905' className='radio-list__radio' value={item.value} >{item.text}</Radio>
                        </Label>
                      )
                    })}
                  </RadioGroup>
                </View>
              </mp-cell>

            </mp-cells>
          </mp-form>
          <View slot='button' style={{ margin: '4em 0 2em 0' }}>
            <Button style={{ backgroundColor: '#fbd804', borderRadius: '40px', color: '#000', border: '0px' }} class='weui-btn' type='primary' loading={false} formType='submit'>确定</Button>
          </View>
        </Form>
      </View>
    </ScrollView >
  )
}




