
import request from '../utils/request'
// utils/request


/**
 * 登陆
 * @param {*} data
 * @returns
 */
export const login = (data) => request('/login', { data, method: 'POST' })

/**
 * 人员信息
 * @param {*} data
 * @returns
 */
export const setPersons = (data) => request('/person', { data, method: 'PUT' })



/**
 * 办卡
 * @param {*} data
 * @returns
 */
export const addlication = (data) => request('/application', { data, method: 'POST' })



/**
 * 卡详情
 * @param {*} data
 * @returns
 */
export const getApplicationInfo = (id, data) => request(`/application/${id}`, { data, method: 'GET' })






/**
 * 狗狗列表
 * @param {*} data
 * @returns
 */
export const addDogList = (data) => request('/pet', { data, method: 'GET' })



/**
 * 添加狗狗
 * @param {*} data
 * @returns
 */
export const addDogInfo = (data) => request('/pet', { data, method: 'POST' })


/**
 * 狗狗详情
 * @param {*} data
 * @returns
 */
export const getDogInfo = (id, data) => request(`/pet/${id}`, { data, method: 'GET' })

/**
 * 修改狗狗
 * @param {*} data
 * @returns
 */
export const setDogInfo = (id, data) => request(`/pet/${id}`, { data, method: 'PUT' })





/**
 * 狗狗证件
 * @param {*} data
 * @returns
 */
export const getDogCardList = (id, data) => request(`/card`, { data, method: 'GET' })

/**
* 证件详情
* @param {*} data
* @returns
*/
export const getDogCardInfo = (id, data) => request(`/card/${id}`, { data, method: 'GET' })


/**
 * 狗狗证件
 * @param {*} data
 * @returns
 */
export const getApplicationList = (params) => request(`/application`, { params })


/**
* 狗狗品种
* @param {*} data
* @returns
*/
export const getDogType = (id, data) => request(`/setting/dog_type`, { data, method: 'GET' })





/**
* 消息列表
* @param {*} data
* @returns
*/
export const getNoticeList = (id, data) => request(`/notice?`, { data, method: 'GET' })
